#This script produces the summary statistics table in the appendix
rm(list = ls())

#Step 1. Loading libraries
install.packages("stargazer")

library("stargazer")

#Step 2. Setting directory
#Mac or Windows
setwd("/Users/bgpopescu/Dropbox/Education Project/")
setwd("C:/Users/bogdanp/Dropbox/Education project/")
setwd("C:/Users/Popescu/Dropbox/Education project/")


#Step 3. In case it does not exist already, manually create a folder called "tables" in the Paper folder
#so that you can save the output from this script.

#Step 4. Reading Data
data<-read.csv(file="./Data/data_final.csv", header=TRUE, sep=",")

#Step 5. Selecting the data for the area of interest
data_final<-subset(data, agrozone==3)

#Step 6. Make the summary statistics
sumstat=stargazer(as.data.frame(data_final[c("pagri61T",
                                       "chozas_viviendasrural1961",
                                       "Prur_M50",
                                       "elev",
                                       "slope",
                                       "icult_land_maj",
                                       "total_road_1973",
                                       "pop1972_sup_ha",
                                       "cotton_intinput_irrigated",
                                       "sugarcane_intinput_irrigated",
                                       "mEE_DR_13_1980_pcSupM_adj",
                                       "fgt0",
                                       "fgt1",
                                       "fgt2",
                                       "pobreza13",
                                       "BD_educacion_3_2_matric_1ria_07",
                                       "BD_educacion_3_3_matric_2ria_07",
                                       "tasa_desnutric_07",
                                       "pct_poblac_rural_07",
                                       "pct_reg_title_1994",
                                       "p_riego",
                                       "encp_pres_1985",
                                       "left_vote_1985",
                                       "inmigran_rec_93",
                                       "BD_immig_1_8_porc_inmigran_rec_07",
                                       "employees",
                                       "BD_salud__2_5_acc_ays_93",
                                       "BD_salud__2_5_acc_ays_07",
                                       "without_elect93",
                                       "pct_poblac_sin_eletric_07",
                                       "bank_density",
                                       "gini_94",
                                       "ruraldeaths",
                                       "part_presav",
                                       "encp_pres",
                                       "BD_politica_11_3_compet_polit_03")]), digits=3, 
                   covariate.labels =c("Economically Active Population in Agriculture (1961)",
                                       "Rural Poverty (1961)",
                                       "Rural Population Living in Haciendas (1961)",
                                       "Elevation",
                                       "Slope",
                                       "Cultivated Land",
                                       "Road Density",
                                       "Population Density",
                                       "Attainable Cotton Yield",
                                       "Attainable Sugarcane Yield",
                                       "Pct. Land Reformed",
                                       "Poverty Headcount Ratio (2009)",
                                       "Poverty Gap Index (2009)",
                                       "Poverty Severity (2009)",
                                       "Poverty Headcount Ratio (2013)",
                                       "Primary School Enrollment",
                                       "Secondary School Enrollment",
                                       "Malnutrition Rate",
                                       "Rural population (2007)",
                                       "Registered Land Titles (1994)",
                                       "Farms with Irrigation Systems (2012)",
                                       "Electoral Competition (1985)",
                                       "Left Vote Share (1985)",
                                       "Immigration (1989-1993)",
                                       "Immigration (2003-2007)",
                                       "State Employees (1961)",
                                       "Public water and sewer access (1993)",
                                       "Public water and sewer access (2007)",
                                       "Population without electricity (1993)",
                                       "Population without electricity (2007)",
                                       "Bank Density (2008)",
                                       "Land Gini (1994)",
                                       "Rural Conflict Deaths (1980-2000)",
                                       "Turnout Rate (1980)",
                                       "Electoral Competition (1980)",
                                       "Mayoral Win Margin (2010)"),
                   title="Summary statistics",
                   omit.summary.stat=c("p25", "p75"))

cat(sumstat, file="./Paper/tables/sumstat.tex", sep="\n")
rm(sumstat)
